Update Hierarchy
curl --request POST \
--url https://api.birdeye.com/resources/v1/business/business-hierarchy/location/update-mapping/{businessId} \
--header 'Content-Type: application/json' \
--data '
{
"Division": "Division 3",
"Region": "Region 3",
"RD": "Richard Steves",
"Department": "Store 3"
}
'import requests
url = "https://api.birdeye.com/resources/v1/business/business-hierarchy/location/update-mapping/{businessId}"
payload = {
"Division": "Division 3",
"Region": "Region 3",
"RD": "Richard Steves",
"Department": "Store 3"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
Division: 'Division 3',
Region: 'Region 3',
RD: 'Richard Steves',
Department: 'Store 3'
})
};
fetch('https://api.birdeye.com/resources/v1/business/business-hierarchy/location/update-mapping/{businessId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Business
Update Hierarchy
POST
/
v1
/
business
/
business-hierarchy
/
location
/
update-mapping
/
{businessId}
Update Hierarchy
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Path Parameters
Id of the Business.
Body
application/json
It will be a key-value pair for each level with its corresponding level value.
Response
OK

